SystemOrganization addCategory: #ConfigurationOfOrion!

Object subclass: #ConfigurationOfOrion
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrion'!

!ConfigurationOfOrion commentStamp: 'janniklaval 1/16/2013 09:47' prior: 0!
ConfigurationOfOrion loadBleedingEdge!

!ConfigurationOfOrion class methodsFor: 'private' stamp: 'jl 3/19/2010 13:19'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfOrion class methodsFor: 'private' stamp: 'jl 3/19/2010 13:45'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfOrion class methodsFor: 'metacello tool support' stamp: 'jl 3/19/2010 13:19'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfOrion class methodsFor: 'accessing' stamp: 'janniklaval 1/16/2013 09:41'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfOrion class methodsFor: 'accessing' stamp: 'janniklaval 1/16/2013 09:41'!
loadBleedingEdge
	(self project version: #bleedingEdge) load.! !

!ConfigurationOfOrion class methodsFor: 'accessing' stamp: 'jl 3/19/2010 13:19'!
project

	^self new project! !

!ConfigurationOfOrion methodsFor: 'baselines' stamp: 'janniklaval 1/16/2013 09:46'!
baseline1: spec 
	<version: '1-baseline'>
	"for Moose4.1"
	spec for: #common do: [
		spec blessing: #baseline.
	
		spec repository: 'http://ss3.gemstone.com/ss/Orion'.
		spec 
			package: 'Antares'.
		spec group: 'Tests' with: #(
						'Orion-TestModel').
						
	].! !

!ConfigurationOfOrion methodsFor: 'baselines' stamp: 'janniklaval 6/28/2011 15:01'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		
		
		spec repository: 'http://www.squeaksource.com/OrionDev'.
		spec 
			package: 'OrionCore';
			package: 'OrionAction';
			package: 'OrionAnnouncement';
			package: 'OrionBrowser';
			package: 'OrionTest';
			package: 'Orion-TestModel';
			"package: 'OrionVisualization';"
			package: 'OrionAlgo'.
		spec group: 'Tests' with: #(
						'OrionTest'
						'Orion-TestModel').
						
	].! !

!ConfigurationOfOrion methodsFor: 'accessing' stamp: 'jl 3/19/2010 13:19'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !
